{% extends "base.html" %}

{% block nav %}
<ul>
    {% if request.user.is_authenticated %}
        <li><a href="{% url "logout" %}">Logout</a></li>
        <li><a href="{% url "create_receipt" %}">Create Receipt</a></li>
        <li><a href="{% url "create_category" %}">Create Category</a></li>
        <li><a href="{% url "create_account" %}">Create Account</a></li>
        <li><a href="{% url "category_list" %}">Categories</a></li>
        <li><a href="{% url "account_list" %}">Accounts</a></li>
    {% else %}
        <li><a href="{% url "login" %}">Login</a></li>
    {% endif %}
</ul>
{% endblock nav %}

{% block main %}
<div>
    <form method="post">
        {% csrf_token %}
        {{ form.as_p }}
        <button type=submit>Signup</button>
    </form>
</div>
{% endblock main %}
